"""
Programme principal pour le codage césar
"""
#imports nécessaires, les fonctions
from outils.cesar import decoder_cesar, coder_cesar

if __name__ == '__main__':
    #saisie de l'emplacement du fichier
    chemin_fichier = input("Merci de saisir le nom du fichier:")
    #que faut il faire ?
    mode = input("coder ou decoder ?")
    #selon le choix, utilisation de la bonne fonction !
    if mode == 'coder':
        message = coder_cesar(chemin_fichier)
    else:
        message = decoder_cesar(chemin_fichier)
    #affichage du résultat obtenu
    print(message)